[PATCH] Fix regression tests on Cygwin

Previous thread: [PATCH] git-cherry should show "+" instead of "-" and vice versa by Andy Parkins on Monday, October 23, 2006 - 12:03 pm. (3 messages)

Next thread: [PATCH] Checking for "diff.color." should come before "diff.color" by Andy Parkins on Monday, October 23, 2006 - 12:51 pm. (4 messages)
From: Lars Hjemli
Date: Monday, October 23, 2006 - 12:34 pm

On Cygwin, "make test" failes due to missing ".exe" a couple of places.

This fixes it, in a somewhat ugly way....

Signed-off-by: Lars Hjemli <hjemli@gmail.com>
---
 t/t0000-basic.sh |    9 ++++++++-
 t/test-lib.sh    |   10 +++++++++-
 2 files changed, 17 insertions(+), 2 deletions(-)

diff --git a/t/t0000-basic.sh b/t/t0000-basic.sh
index 2c9bbb5..41d53be 100755
--- a/t/t0000-basic.sh
+++ b/t/t0000-basic.sh
@@ -25,7 +25,14 @@ # or have too old python without subproc
 # out before running any tests.  Also catch the bogosity of trying
 # to run tests without building while we are at it.
 
-../git >/dev/null
+X=
+uname=$(uname -o)
+if test "$uname" = "Cygwin"
+then
+	X=".exe"
+fi
+
+../git$X >/dev/null
 if test $? != 1
 then
 	echo >&2 'You do not seem to have built git yet.'
diff --git a/t/test-lib.sh b/t/test-lib.sh
index 2488e6e..8a64f6e 100755
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -43,6 +43,14 @@ case $(echo $GIT_TRACE |tr "[A-Z]" "[a-z
 		;;
 esac
 
+X=
+uname=$(uname -o)
+if test "$uname" = "Cygwin"
+then
+	X=".exe"
+fi
+
+
 # Each test should start with something like this, after copyright notices:
 #
 # test_description='Description of this test...
@@ -175,7 +183,7 @@ test_create_repo () {
 	repo="$1"
 	mkdir "$repo"
 	cd "$repo" || error "Cannot setup test environment"
-	"$GIT_EXEC_PATH/git" init-db --template=$GIT_EXEC_PATH/templates/blt/ 2>/dev/null ||
+	"$GIT_EXEC_PATH/git$X" init-db --template=$GIT_EXEC_PATH/templates/blt/ 2>/dev/null ||
 	error "cannot run git init-db -- have you built things yet?"
 	mv .git/hooks .git/hooks-disabled
 	cd "$owd"
-- 
1.4.3.1.g1688

-

From: Johannes Schindelin
Date: Tuesday, October 24, 2006 - 7:53 am

Hi,


Last time I made "test" on cygwin, it did not complain. "../git" works 
perfectly here.

Ciao,
Dscho

-

From: Junio C Hamano
Date: Tuesday, October 24, 2006 - 9:40 pm

Same here (W2k, fairly up-to-date git, installed on local NTFS
disk).


-

From: Junio C Hamano
Date: Tuesday, October 24, 2006 - 9:50 pm

... and more importantly, with fairly up-to-date Cygwin.

-

From: Lars Hjemli
Date: Tuesday, October 24, 2006 - 11:39 pm

Well, then it's probably my cygwin-environment that is broken (make
test used to work for me too...)

Sorry for the noise

--
larsh
-

Previous thread: [PATCH] git-cherry should show "+" instead of "-" and vice versa by Andy Parkins on Monday, October 23, 2006 - 12:03 pm. (3 messages)

Next thread: [PATCH] Checking for "diff.color." should come before "diff.color" by Andy Parkins on Monday, October 23, 2006 - 12:51 pm. (4 messages)